export const formatTime = (time) => {
    const hours = time.getHours().toString().padStart(2, '0');
    const minutes = time.getMinutes().toString().padStart(2, '0');
    const seconds = time.getSeconds().toString().padStart(2, '0');
    const milliseconds = time.getMilliseconds().toString().padStart(3, '0');
    return `${hours}:${minutes}:${seconds}.${milliseconds}`;
};
export const formatNow = () => {
    const time = new Date();
    return formatTime(time);
};
export const RemeshDebuggerHelper = (options) => {
    const config = {
        include: ['state', 'domain', 'query', 'event', 'command'],
        ...options,
    };
    const onActive = (source, fn) => {
        if (config.exclude?.includes(source)) {
            return;
        }
        if (config.include) {
            if (config.include.includes(source)) {
                fn();
            }
        }
        else {
            fn();
        }
    };
    return {
        onActive,
    };
};
//# sourceMappingURL=remesh-debugger-helper.js.map